Bug 801468 - Improve UserPortalListModel to comply with standard Window/ConfirmWindow property handling
Improve UserPortalListModel to comply with standard Window/ConfirmWindow prop...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-userportal (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.1
Assigned To: Einav Cohen
ux
: CodeChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-08 10:48 EST by vszocs
Modified: 2012-08-09 03:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 03:58:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vszocs 2012-03-08 10:48:58 EST
In uicommonweb project, UserPortalListModel is the list model responsible for managing VM and Pool data in UserPortal.

However, unlike other models that use Window/ConfirmWindow properties for storing dialog models, UserPortalListModel uses its own custom properties for this purpose.

UserPortalListModel custom properties that correspond to Window:
- "VmModel" property for storing UnitVmModel (New Server, New Desktop, Edit and Make Template dialogs)
- "RunOnceModel" property for storing RunOnceModel (Run Once dialog)
- "AttachCdModel" property for storing AttachCdModel (Change CD dialog)

UserPortalListModel custom properties that correspond to ConfirmWindow
- "ConfirmationModel" property for storing ConfirmationModel

This makes it harder for UserPortal to handle these non-standard dialog properties. Custom properties mentioned above should be replaced with standard setWindow() / setConfirmWindow() calls.
Comment 1 vszocs 2012-05-17 04:50:23 EDT
Patch merged upstream, git commit cc68513979cc646d9005dfae78621e1f790353fb, Gerrit reference [http://gerrit.ovirt.org/4391].
Comment 2 Itamar Heim 2012-08-09 03:58:52 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Note You need to log in before you can comment on or make changes to this bug.